FROM registry.gitlab.com/containers.ada/toolboxes/base-data:latest

RUN dnf install -y python3-pip

RUN pip install 'jupyterlab<4.0.0'
# Extensions
RUN pip install 'jupyterlab-vim==0.15.1' 'jupyterlab-unfold<0.3.0' 'jupyterlab_execute_time==2.3.1' jupyterlab-git
# LSP
RUN pip install 'python-lsp-server[all]' jupyterlab-lsp

# Configuration
ADD overrides.json /usr/local/share/jupyter/lab/settings/overrides.json
